package game;

import java.awt.BorderLayout;
import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.BoxLayout;

/****************************************************************************************************
 * JFrame, erstellt JPanel Spielfeld
 * 
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Main_Game extends JFrame
{

	private JPanel contentPane;

	/**
	 * Launch the application.
	 */
	public static void main(int difficulty, String[] args)
	{
		// if (difficulty > 2 || difficulty < 0)
		EventQueue.invokeLater(new Runnable()
		{
			public void run()
			{
				try
				{
					Main_Game frame = new Main_Game(difficulty);
					frame.setVisible(true);
				} catch (Exception e)
				{
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public Main_Game(int difficulty)
	{
		setTitle("Kanalisations Spiel");

		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(500, 300, 605, 609);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		contentPane.setLayout(new BorderLayout(0, 0));
		setContentPane(contentPane);

		JPanel panel = new Spielfeld(difficulty);
		contentPane.add(panel, BorderLayout.CENTER);
		panel.setLayout(null);
	}
}
