package battleShip_Kaan;

/****************************************************************************************************
 * 
 * TODO (lösche TODO und füge hier deinen Kommentar ein!)
 *
 * @author Prof. Gaisberger
 * @version 1.0
 *
 ****************************************************************************************************
 */

public class ZweiSpielerModus implements SpielStatus {
	
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
    private SpielStatus spielAnfang; //begin of the game AttackGrid is OFF and SelfGrid is ON
    private SpielStatus spielMitte; //middle of the game AttackGrid is ON and SelfGrid is OFF
    private SpielStatus spielEnde; // end the game when one of the player win
    private SpielStatus status;
    private boolean spielerAngriff; // make sure each player can only attack ONCE

    private Spieler spieler1Daten;
    private Spieler spieler2Daten;
    private SpielerBildschirm spieler1;
	private SpielerBildschirm spieler2;

    
	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
    public ZweiSpielerModus() {
        spieler1 = new SpielerBildschirm("Player1", true,this);
        spieler2 = new SpielerBildschirm("Player2", false,this);
        spieler1Daten = new Spieler(spieler1);
        spieler2Daten = new Spieler(spieler2);
        spielAnfang = new SpielAnfang(this, spieler1,spieler2);
        spielMitte = new SpielMitte(this, spieler1,spieler2);
        spielEnde = new SpielEnde(this, spieler1,spieler2);
        this.status = spielAnfang; //set the state of the game to be the beginning of the game
    }

    
	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
    public static void main(String[] args) {
        ZweiSpielerModus game = new ZweiSpielerModus();
        game.spieler1Zug();
        game.spieler2Zug();
    }

    public void spieler1Zug() {
        status.spieler1Zug();
    }

    public void spieler2Zug() {
        status.spieler2Zug();
    }

    
	// -------------------------------------------------------------------------------------
	// GETTER / SETTER 
    // method to transfer the game from beginning to middle of the game
    public SpielStatus getSpielMitte() {
        return spielMitte;
    }

    // method to transfer the game from middle to the end of the game
    public SpielStatus getSpielEnde() {
        return spielEnde;
    }

    // method to set the state of the game to the desired state
    public void setStatus(SpielStatus status) {
        this.status = status;
    }

    public void setSpielerDran(boolean isSpielerDran){
        this.spielerAngriff = isSpielerDran;
    }

    public boolean getSpielerDran() {
        return spielerAngriff;
    }

    public Spieler getSpieler2Daten() {
        return spieler2Daten;
    }

    public Spieler getSpieler1Daten() {
        return spieler1Daten;
    }

    public SpielerBildschirm getSpieler1() {
        return spieler1;
    }

    public SpielerBildschirm getSpieler2() {
        return spieler2;
    }
    
	// -------------------------------------------------------------------------------------
	// TOSTRING
    
	// -------- Ende der Klasse 
}