package plf1;

/****************************************************************************************************
 * 
 * Verwaltung der Tiere eines Tierheims
 *
 * @author Prof. Gaisberger
 * @version 1.0
 *
 ****************************************************************************************************
 */


//---------------------------------------------------------------------------------------------------
public class _Main_Tierheim
{

	// -------------------------------------------------------------------------------------
	public static void main(String[] args)
	{
		Hund     waldi     = new Hund("Waldi", "Dackel", "chip11", 12);
		Katze    karlo     = new Katze("Karlo", "Perser", "bunt", 3);
		Hase     oster     = new Hase("Oster", "Schneehase", "weiß", 8);
		Hund     strolchi  = new Hund("Strolchi", "Schäfer", "chip12", 3);

		Tierheim freeWilly = new Tierheim();

		freeWilly.neuesTierAufnehmen(waldi);
		freeWilly.neuesTierAufnehmen(karlo);
		freeWilly.neuesTierAufnehmen(oster);
		freeWilly.neuesTierAufnehmen(strolchi);

		waldi.setPicture("src\\_images\\dackel.png");
		karlo.setPicture("src\\_images\\katze.png");
		oster.setPicture("src\\_images\\hase.png");
		strolchi.setPicture("src\\_images\\hund.png");

		freeWilly.paintAlleTiere();

		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> Liste aller Tiere\n");
		// Dein Code ...
		freeWilly.printTierListe();


		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> Liste aller Hunde\n");
		// Dein Code ...
		freeWilly.printHundeListe();


		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> ANZAHL der Hunde+Katzen und Hasen \n");
		// Dein Code ...
		System.out.printf("Anzahl Hunde und Katzen: \t%d \n", freeWilly.getAnzHundeUndKatzen());
		System.out.printf("Anzahl Hasen:  \t\t%d \n", freeWilly.getAnzHasen());


		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> FINDE ALLE HUND und gib sie iun der Konsole aus \n");
		// Dein Code ...
		for (Hund hund : freeWilly.getHunde())
		{
			System.out.printf("%s\n", hund.toString());
		}

		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> FINDE ALLE KATZEN und gib sie iun der Konsole aus \n");
		// Dein Code ...
		for (Katze katze : freeWilly.getKatzen())
		{
			System.out.printf("%s\n", katze.toString());
		}

		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> FINDE ALLE HASEN und gib sie iun der Konsole aus \n");
		// Dein Code ...
		for (Hase hase : freeWilly.getHasen())
		{
			System.out.printf("%s\n", hase.toString());
		}


		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> ALLE TIERE FÜTTERN \n");
		// Dein Code ...
		freeWilly.alleTiereFuettern();


		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> MIT ALLEN HUNDEN GASSI GEHEN \n");
		// Dein Code ...
		freeWilly.mitHundenGassiGehen();


		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> ALLE KATZEN STREICHELN \n");
		// Dein Code ...
		freeWilly.alleKatzenStreicheln();

		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> ALLE HASEN STREICHELN \n");
		// Dein Code ...
		freeWilly.alleHasenStreicheln();


		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("Ist Waldi im Heim: %b \n", freeWilly.istTierImHeim(waldi));

		Haustier gefunden = freeWilly.getTier("Karlo", "Perser");
		if (gefunden != null)
			System.out.printf("Tier gefunden: %s \n", gefunden.toString());

	}
}
