package ue000_MrSnowMan;

import java.awt.Color;

import sew.G2D;

/****************************************************************************************************
 * 
 * TODO Konstruktor - paint() - getName, setName
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class MrSnowMan
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private String name;
	private int    x    = 150;
	private int    y    = 150;
	private int    size = 500;
	int            sd   = size / 2;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public MrSnowMan(String aName)
	{
		// KONSTRUKTOR
		// TODO Im Konstruktor kannst du deine Variablen initialisieren
		if (aName == null)
			throw new IllegalArgumentException("Es braucht einen Namen!!!!!");
		name = aName;
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	public void paint()
	{
		G2D.setVisible();

		G2D.drawImage("src\\ue000_mrsnowman\\Sterne.png", 0, 0, null);

		// Koerper
		G2D.fillOval(x, y, size, size, Color.WHITE, null);
		G2D.fillOval(x + 5, y - 50, size - 10, size - 10, Color.WHITE, null);
		G2D.fillOval(x + 10, y - 100, size - 20, size - 20, Color.WHITE, null);

		// Knoepfe
		G2D.fillOval(x + sd, y - 55 + (sd / 2), 7, 7, Color.BLACK, null);
		G2D.fillOval(x + sd, y - 25 + (sd / 2), 7, 7, Color.BLACK, null);
		G2D.fillOval(x + sd, y + 5 + (sd / 2), 7, 7, Color.BLACK, null);
		G2D.fillOval(x + sd, y + 35 + (sd / 2), 7, 7, Color.BLACK, null);

		// Hut
		G2D.fillRect(x + sd - 25, y - 100, 50, 10, Color.RED, null);
		G2D.fillRect(x + sd - 15, y - 130, 30, 40, Color.RED, null);

		G2D.drawString(name, x + sd - 15, y - 115, 10, null);

		// Gesicht
		G2D.fillOval(x + sd - 15, y - 60, 5, 5, Color.BLACK, null);
		G2D.fillOval(x + sd - 8, y - 55, 5, 5, Color.BLACK, null);
		G2D.fillOval(x + sd - 1, y - 53, 5, 5, Color.BLACK, null);
		G2D.fillOval(x + sd + 6, y - 55, 5, 5, Color.BLACK, null);
		G2D.fillOval(x + sd + 13, y - 60, 5, 5, Color.BLACK, null);

		G2D.fillOval(x + sd - 10, y - 75, 5, 5, Color.BLACK, null);
		G2D.fillOval(x + sd + 10, y - 75, 5, 5, Color.BLACK, null);

		G2D.fillOval(x + sd - 3, y - 65, 10, 10, Color.ORANGE, null);
		G2D.fillOval(x + 50, y - 30, 7, 7, Color.BLACK, null);
		G2D.fillOval(x + 50, y, 7, 7, Color.BLACK, null);
		G2D.fillOval(x + 50, y + 30, 7, 7, Color.BLACK, null);
		G2D.fillOval(x + 50, y + 60, 7, 7, Color.BLACK, null);

		// Hut
		G2D.fillRect(x + 25, y - 100, 50, 10, Color.RED, null);
		G2D.fillRect(x + 35, y - 130, 30, 40, Color.RED, null);

		G2D.drawString(name, x + 35, y - 115, 10, null);

		// Gesicht
		G2D.fillOval(x + 35, y - 60, 5, 5, Color.BLACK, null);
		G2D.fillOval(x + 42, y - 55, 5, 5, Color.BLACK, null);
		G2D.fillOval(x + 49, y - 53, 5, 5, Color.BLACK, null);
		G2D.fillOval(x + 56, y - 55, 5, 5, Color.BLACK, null);
		G2D.fillOval(x + 63, y - 60, 5, 5, Color.BLACK, null);

		G2D.fillOval(x + 40, y - 75, 5, 5, Color.BLACK, null);
		G2D.fillOval(x + 60, y - 75, 5, 5, Color.BLACK, null);

		G2D.fillOval(x + 47, y - 65, 10, 10, Color.ORANGE, null);
	}

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	public String getName()
	{
		return name;
	}

	public void setName(String aName)
	{
		if (aName == null)
			throw new IllegalArgumentException("Es braucht einen Namen!!!");
		name = aName;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING



	// -------- Ende der Klasse
}