package ue111_Figuren;

import java.awt.Color;

import sew.G2D;

/****************************************************************************************************
 * 
 * TODO Vererbt an Kreis, Quadrat und Rechteck
 *
 * @author Daniel
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public abstract class Figur
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private int     x;
	private int     y;
	private Color   farbe;
	private boolean fill;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Figur(int x, int y, Color farbe, boolean fill)
	{
		setX(x);
		setY(y);
		setFarbe(farbe);
		setFill(fill);
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	public void paint()
	{
		G2D.setVisible();
	}


	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	public int getX()
	{
		return x;
	}

	public void setX(int aX)
	{
		x = aX;
	}

	public int getY()
	{
		return y;
	}

	public void setY(int aY)
	{
		y = aY;
	}

	public void setXY(int x, int y)
	{
		setX(x);
		setY(y);
	}

	public Color getFarbe()
	{
		return farbe;
	}

	public void setFarbe(Color aFarbe)
	{
		if (aFarbe == null)
			throw new NullPointerException("farbe darf nicht null sein!");
		farbe = aFarbe;
	}

	public boolean isFill()
	{
		return fill;
	}

	public void setFill(boolean aFill)
	{
		fill = aFill;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING
	@Override
	public String toString()
	{
		return String.format("Figur [x=%s, y=%s, farbe=%s, fill=%s]", x, y, farbe, fill);
	}

	// -------- Ende der Klasse
}
