package ue111_Figuren;

import java.awt.Color;

import sew.G2D;

/****************************************************************************************************
 * 
 * TODO Vererbt von Figur
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Kreis extends Figur
{
// -------------------------------------------------------------------------------------
// Instanzvariablen/Klassenvariablen
	private int radius;

// -------------------------------------------------------------------------------------
// KONSTRUKTOR oder main
	public Kreis(int aX, int aY, Color aFarbe, boolean aFill, int radius)
	{
		super(aX, aY, aFarbe, aFill);

		setRadius(radius);
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	public void paint()
	{
		if (isFill())
			G2D.fillOval(getX() - getRadius(), getY() - getRadius(), 2 * getRadius(), 2 * getRadius(), getFarbe(),
					this);
		else
			G2D.drawOval(getX() - getRadius(), getY() - getRadius(), 2 * getRadius(), 2 * getRadius(), getFarbe(),
					this);
	}

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	public void setRadius(int aRadius)
	{
		if (aRadius < 0)
			throw new IllegalArgumentException("radius muss größer 0 sein!");
		radius = aRadius;
	}

	public int getRadius()
	{
		return radius;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING



	// -------- Ende der Klasse
}
