package ue111_Figuren;

import java.awt.Color;

import sew.G2D;

/****************************************************************************************************
 * 
 * TODO Vererbt von Figur
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Quadrat extends Figur
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private int seitenlaenge;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Quadrat(int aX, int aY, Color aFarbe, boolean aFill, int seitenlaenge)
	{
		super(aX, aY, aFarbe, aFill);

		setSeitenlaenge(seitenlaenge);
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	public void paint()
	{
		if (isFill())
			G2D.drawRect(getX() - getSeitenlaenge() / 2, getY() - getSeitenlaenge() / 2, getSeitenlaenge(),
					getSeitenlaenge(), getFarbe(), this);
		else
			G2D.fillRect(getX() - getSeitenlaenge() / 2, getY() - getSeitenlaenge() / 2, getSeitenlaenge(),
					getSeitenlaenge(), getFarbe(), this);
	}

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	public void setSeitenlaenge(int aSeitenlaenge)
	{
		if (aSeitenlaenge < 0)
			throw new IllegalArgumentException("seitenlaenge muss > 0 sein!");
		seitenlaenge = aSeitenlaenge;
	}

	public int getSeitenlaenge()
	{
		return seitenlaenge;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING



	// -------- Ende der Klasse
}
