package ue152_Haustiere;

/****************************************************************************************************
 * 
 * TODO (lösche TODO und füge hier deinen Kommentar ein!)
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Hase extends Haustier
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private String farbe;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Hase(String name, String rasse, String farbe, int alter)
	{
		super(name, rasse, alter);

		if (farbe == null)
			throw new NullPointerException("Farbe darf nicht null sein!");
		if (farbe.equals(""))
			throw new IllegalArgumentException("Farbe darf nicht leer sein!");

		this.farbe = farbe;
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	@Override
	public void frissEtwas()
	{
		System.out.printf("Hase %s:\t Ich fresse eine Karotte!\n", getName());
	}

	@Override
	public void bewegeDich()
	{
		System.out.printf("Hase %s:\t Ich bin ein Hase und hopple!\n", getName());
	}

	@Override
	public void gibLaut()
	{
		System.out.printf("Hase %s:\t Hase gibLaut();\t ????\n", getName());
	}

	public void versteckeDich()
	{
		System.out.printf("Hase %s:\t Habe mich versteckt!\n", getName());
	}

	public void streicheln()
	{
		System.out.printf("Hase %s streicheln:\t", getName());
		versteckeDich();
	}

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	/**
	 * @return the farbe
	 */
	public String getFarbe()
	{
		return farbe;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING
	public String toString()
	{
		return String.format("Hase [farbe=%s, toString()=%s]", farbe, super.toString());
	}


	// -------- Ende der Klasse
}
