package ue152_Haustiere;

/****************************************************************************************************
 * 
 * TODO (lösche TODO und füge hier deinen Kommentar ein!)
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Katze extends Haustier
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private String farbe;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Katze(String name, String rasse, String farbe, int alter)
	{
		super(name, rasse, alter);

		if (farbe == null)
			throw new NullPointerException("Farbe darf nicht null sein!");
		if (farbe.equals(""))
			throw new IllegalArgumentException("Farbe darf nicht leer sein!");

		this.farbe = farbe;
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	@Override
	public void frissEtwas()
	{
		System.out.printf("Katze %s:\t Ich fresse Katzenfutter!\n", getName());
	}

	@Override
	public void bewegeDich()
	{
		System.out.printf("Katze %s:\t Ich laufe!\n", getName());
	}

	@Override
	public void gibLaut()
	{
		System.out.printf("Katze %s:\t MiauMiau\n", getName());
	}

	public void schnurre()
	{
		System.out.printf("Katze %s:\t Schnurrrr!\n", getName());
	}

	public void streicheln()
	{
		System.out.printf("Katze %s streicheln:\t", getName());
		schnurre();
	}

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	/**
	 * @return the farbe
	 */
	public String getFarbe()
	{
		return farbe;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING
	public String toString()
	{
		return String.format("Katze [farbe=%s, toString()=%s]", farbe, super.toString());
	}

	// -------- Ende der Klasse
}
