package ue211_Fuhrpark;



/****************************************************************************************************
 * 
 * Main Programm für den Fuhrpark
 *
 * @author Prof. Gaisberger
 * @version 1.0
 *
 ****************************************************************************************************
 */


//---------------------------------------------------------------------------------------------------
public class _Main_Fuhrpark
{
	// -------------------------------------------------------------------------------------
	public static void main(String[] args)
	{
		Fuhrpark      htl   = new Fuhrpark("HTLTraun");
		
		htl.fahrzeugEinstellen(new Auto("AUT-1001", "BMW X1", 'S', 'L'));
		htl.fahrzeugEinstellen(new Cabrio("CAB-2001", "Audi", 'S', 'C'));
		htl.fahrzeugEinstellen(new LKW("LKW-4001", "MAN", 'D', 15000 ));
		htl.fahrzeugEinstellen(new Cabrio("CAB-2003", "Audi", 'D', 'K'));
		htl.fahrzeugEinstellen(new Motorrad("MOT-3001", "KTM", 'S', 3));
		htl.fahrzeugEinstellen(new Auto("AUT-1002", "BMW X3", 'S', 'L'));
		htl.fahrzeugEinstellen(new LKW("LKW-4002", "MAN", 'D', 25000));
		htl.fahrzeugEinstellen(new Moped("MOP-5001", "Puch Stangl", 'S'));
		htl.fahrzeugEinstellen(new Moped("MOP-5002", "Vespa Viagio", 'S'));
		htl.fahrzeugEinstellen(new Cabrio("CAP-2002", "Mercedes", 'S', 'C'));


		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> Liste aller Fahrzeuge\n");		
		// Dein Code ...
		htl.printFahrzeugListe();

		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> ANZAHL der Autos, Cabrios, LKWs, Motorrad, Moped+Motorrad ... \n");		
		// Dein Code ...
		System.out.printf("Anzahl Autos:     \t%d \n", htl.getAnzAutos());
		System.out.printf("Anzahl Geparden:  \t%d \n", htl.getAnzCabrios());
		System.out.printf("Anzahl Gorillas:  \t%d \n", htl.getAnzLKWs());
		System.out.printf("Anzahl Gazellen:  \t%d \n", htl.getAnzMotorrad());
		System.out.printf("Anzahl Elefanten: \t%d \n", htl.getAnzMopedUndMotorrad());
		
		
		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> Liste aller AUTOS\n");		
		// Dein Code ...
		for (Fahrzeug auto: htl.getAutos() )
		{
			System.out.printf("%s\n", auto.toString());
		}
		
		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> Liste aller CABRIOS\n");		
		// Dein Code ...
		for (Fahrzeug cabrio: htl.getCabrios() )
		{
			System.out.printf("%s\n", cabrio.toString());
		}
		
		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> Liste aller LKWs\n");		
		// Dein Code ...
		for (Fahrzeug lkw: htl.getLKWs() )
		{
			System.out.printf("%s\n", lkw.toString());
		}
		
		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> Liste aller Motorräder\n");		
		// Dein Code ...
		for (Fahrzeug motorrad: htl.getMotorraeder() )
		{
			System.out.printf("%s\n", motorrad.toString());
		}
		
		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> Liste aller Autos und Cabrios der Bauart 'C'oupe\n");		
		// Dein Code ...
		for (Fahrzeug coupe: htl.getAutosUndCabrios('C') )
		{
			System.out.printf("%s\n", coupe.toString());
		}

		System.out.printf("\n-------------------------------------------------------------\n");
		System.out.printf("> Finde das Fahrzeug mit einer der FIN:\n"
				+ "\t LKW-4001\n" 
				+ "\t CAB-2001\n"
				+ "\t MOP-5002\n"
				+ "\t AUT-4711\n"
				);		
		// Dein Code ...
		System.out.printf("Fahrzeug: %s \n", htl.getFahrzeugMitFIN("LKW-4001"));
		System.out.printf("Fahrzeug: %s \n", htl.getFahrzeugMitFIN("CAB-2001"));
		System.out.printf("Fahrzeug: %s \n", htl.getFahrzeugMitFIN("MOP-5002"));
		System.out.printf("Fahrzeug: %s \n", htl.getFahrzeugMitFIN("AUT-4711"));

	}
}
