package ue212_Figurenliste;

import java.awt.Color;

import sew.G2D;

/****************************************************************************************************
 * 
 * TODO Vererbt von Figur
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Rechteck extends Figur
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private int laenge;
	private int breite;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Rechteck(int aX, int aY, Color aFarbe, boolean aFill, int laenge, int breite)
	{
		super(aX, aY, aFarbe, aFill);

		setLaenge(laenge);
		setBreite(breite);
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	public void paint()
	{
		if (isFill())
			G2D.fillRect(getX() - getLaenge() / 2, getY() - getBreite() / 2, getLaenge(), getBreite(), getFarbe(),
					this);
		else
			G2D.drawRect(getX() - getLaenge() / 2, getY() - getBreite() / 2, getLaenge(), getBreite(), getFarbe(),
					this);
	}

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	public int getLaenge()
	{
		return laenge;
	}

	public int getBreite()
	{
		return breite;
	}

	public void setLaenge(int aLaenge)
	{
		if (aLaenge < 0)
			throw new IllegalArgumentException("laenge muss > 0 sein!");
		laenge = aLaenge;
	}

	public void setBreite(int aBreite)
	{
		if (aBreite < 0)
			throw new IllegalArgumentException("breite muss > 0 sein!");
		breite = aBreite;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING



	// -------- Ende der Klasse
}
