package ue241_HerrDerRinge;

/****************************************************************************************************
 * 
 * TODO (lösche TODO und füge hier deinen Kommentar ein!)
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Zauberer extends Wesen
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private String status;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Zauberer(String name, int staerke, String status)
	{
		super(name, staerke, "Zauberstab");

		setStatus(status);
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	@Override
	public void kaempfen()
	{
		System.out.printf("Ich bin ein Zauberer namens %s und kaempfe. \n", getName());
	}

	@Override
	public void schlafen()
	{
		System.out.printf("Ich bin ein Zauberer namens %s und schlafe. \n", getName());
	}

	@Override
	public void laufen()
	{
		System.out.printf("Ich bin ein Zauberer namens %s und laufe. \n", getName());
	}

	public void zaubern()
	{
		System.out.printf("Ich bin ein Zauberer namens %s und zaubere. \n", getName());
	}

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	public String getStatus()
	{
		return status;
	}

	public void setStatus(String status)
	{
		if (status == null)
			throw new NullPointerException("Status darf nicht null sein!");
		if (status.equals(""))
			throw new IllegalArgumentException("Status darf nicht leer sein!");
		this.status = status;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING



	// -------- Ende der Klasse
}
