package ue392_Hardware;

/****************************************************************************************************
 * 
 * TODO iwwas mit Prozessor
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Prozessor extends Hardware
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private int kerne;
	private int taktfrequenz;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Prozessor(String bezeichnung, String hersteller, int kerne, int taktfrequenz)
	{
		super(bezeichnung, hersteller);

		if(kerne < 1 || kerne > 72 || (kerne != 1 && kerne%2 == 1) || kerne == 14 || (kerne > 28 && kerne < 64) || kerne == 66 || kerne == 70)
			throw new IllegalArgumentException("Ungültige kerne");
		
		if (taktfrequenz < 1000 || taktfrequenz > 5000)
			throw new IllegalArgumentException("Ungültige taktfrequenz");
		this.taktfrequenz = taktfrequenz;
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN


	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	public int getKerne()
	{
		return kerne;
	}

	public int getTaktfrequenz()
	{
		return taktfrequenz;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING



	// -------- Ende der Klasse
}
