package ue502_TaschenrechnerBinHex;

import java.awt.BorderLayout;
import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JTextField;
import javax.swing.JButton;
import javax.swing.JRadioButton;
import javax.swing.JLabel;
import javax.swing.JComboBox;
import javax.swing.DefaultComboBoxModel;
import javax.swing.ButtonGroup;
import java.awt.event.InputMethodListener;
import java.awt.event.InputMethodEvent;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeEvent;

/**
 * TODO Beschreibe hier genau was dein Programm/Klasse macht. FÃ¼ge auch deinen
 * Namen und das Datum ein.
 *
 * @author NAME
 * @date 24.04.2022 / armin
 *
 */
public class Armin extends JFrame
{

	private JPanel              contentPane;
	private JTextField          wert1;
	private JTextField          wert2;
	private JTextField          ergebnis;
	private JTextField          ergebnis2;
	private final ButtonGroup   buttonGroup = new ButtonGroup();
	private static final String REGEX_BIN   = "^[0-1]+$";
	private static final String REGEX_HEX   = "0[xX][0-9a-fA-F]+";
	private JButton             btnNewButton;



	/**
	 * Launch the application.
	 */
	public static void main(String[] args)
	{
		EventQueue.invokeLater(new Runnable()
		{
			public void run()
			{
				try
				{
					Armin frame = new Armin();
					frame.setVisible(true);
				} catch (Exception e)
				{
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public Armin()
	{
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 450, 121);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(null);

		wert1 = new JTextField();
		wert1.setBounds(26, 24, 86, 20);
		contentPane.add(wert1);
		wert1.setColumns(10);

		wert2 = new JTextField();
		wert2.setBounds(176, 24, 86, 20);
		contentPane.add(wert2);
		wert2.setColumns(10);

		ergebnis = new JTextField();
		ergebnis.setEditable(false);
		ergebnis.setBounds(327, 24, 86, 20);
		contentPane.add(ergebnis);
		ergebnis.setColumns(10);

		JRadioButton rdbtnBin = new JRadioButton("Bin");
		buttonGroup.add(rdbtnBin);
		rdbtnBin.setBounds(116, 58, 109, 23);
		contentPane.add(rdbtnBin);

		JRadioButton rdbtnHex = new JRadioButton("Hex");
		buttonGroup.add(rdbtnHex);
		rdbtnHex.setBounds(26, 58, 109, 23);
		contentPane.add(rdbtnHex);

		JComboBox comboBox = new JComboBox();
		comboBox.setModel(new DefaultComboBoxModel(new String[]
			{ "+", "-", "*", "/" }));
		comboBox.setBounds(116, 23, 50, 22);
		contentPane.add(comboBox);

		ergebnis2 = new JTextField();
		ergebnis2.setEditable(false);
		ergebnis2.setColumns(10);
		ergebnis2.setBounds(327, 55, 86, 20);
		contentPane.add(ergebnis2);

		btnNewButton = new JButton("=");
		btnNewButton.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				int eingabe1;
				int eingabe2;

				if (rdbtnBin.isSelected())
				{
					eingabe1 = Integer.parseInt(wert1.getText(), 2);
					eingabe2 = Integer.parseInt(wert2.getText(), 2);
				}
				else
				{
					eingabe1 = Integer.parseInt(wert1.getText(), 16);
					eingabe2 = Integer.parseInt(wert2.getText(), 16);
				}
				switch (comboBox.getSelectedIndex())
					{
					case 0:
						eingabe1 = eingabe1 + eingabe2;
						break;

					case 1:
						eingabe1 = eingabe1 - eingabe2;
						break;

					case 2:
						eingabe1 = eingabe1 * eingabe2;
						break;

					case 3:
						if (eingabe2 != 0)
							eingabe1 = eingabe1 / eingabe2;
						break;

					}
				ergebnis.setText(Integer.toBinaryString(eingabe1));
				ergebnis2.setText(Integer.toHexString(eingabe1));
			}
		});
		btnNewButton.setBounds(267, 23, 50, 23);
		contentPane.add(btnNewButton);
	}

}