package ue610_Sudoku02;

/****************************************************************************************************
 * 
 * TODO (lösche TODO und füge hier deinen Kommentar ein!)
 *
 * @author Prof. Gaisberger
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Sudoku
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariable
	private Zelle[][] sudofield = new Zelle[9][9];

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Sudoku()
	{
		for (int z = 0; z < sudofield.length; z++)
		{
			for (int s = 0; s < sudofield.length; s++)
			{
				sudofield[z][s] = new Zelle(z, s);
			}
		}
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	public void paint()
	{
		// Ausgabe
		for (int z = 0; z < sudofield.length; z++)
		{
			for (int s = 0; s < sudofield.length; s++)
			{
				sudofield[z][s].paint();
			}
		}
	}

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	public void setNumber(int zeile, int spalte, int zahl)
	{
		if (zeile < 0 || zeile > 8)
			return;

		if (spalte < 0 || spalte > 8)
			return;

		if (sudofield[zeile][spalte].getZahl() == zahl)
			sudofield[zeile][spalte].setZahl(0);

		sudofield[zeile][spalte].setZahl(zahl);
	}

	public void setSelected(int zeile, int spalte, boolean selected)
	{
		sudofield[zeile][spalte].setSelected(selected);
	}

	public boolean getSelected(int zeile, int spalte)
	{
		return sudofield[zeile][spalte].getSelected();
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING



	// -------- Ende der Klasse
}
