package ue660_Dialog;

import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;

import javax.swing.JTabbedPane;
import javax.swing.JTextField;
import javax.swing.JButton;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.awt.Color;
import javax.swing.JLabel;
import javax.swing.JOptionPane;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.JPasswordField;

/****************************************************************************************************
 * 
 * TODO (lösche TODO und füge hier deinen Kommentar ein!)
 *
 * @author Prof. Gaisberger
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Main_Dialog extends JFrame
{

	private JPanel         contentPane;
	private JTextField     textEingabe;
	private JTextField     txtVorname;
	private JTextField     txtNachname;
	private JTextField     txtEMail;
	private JTextField     txtDomain;
	private JPasswordField txtPasswort;
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen

	/**
	 * Launch the application.
	 */
	public static void main(String[] args)
	{
		EventQueue.invokeLater(new Runnable()
		{
			public void run()
			{
				try
				{
					Main_Dialog frame = new Main_Dialog();
					frame.setVisible(true);
				} catch (Exception e)
				{
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public Main_Dialog()
	{
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 450, 300);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(null);

		JTabbedPane tabbedPane = new JTabbedPane(JTabbedPane.TOP);
		tabbedPane.setBounds(5, 5, 424, 251);
		contentPane.add(tabbedPane);

		JPanel panel_Name = new JPanel();
		panel_Name.setBackground(Color.CYAN);
		tabbedPane.addTab("Name", null, panel_Name, null);
		panel_Name.setLayout(null);

		txtVorname = new JTextField();
		txtVorname.setBounds(130, 11, 182, 20);
		panel_Name.add(txtVorname);
		txtVorname.setColumns(10);

		txtNachname = new JTextField();
		txtNachname.setBounds(130, 42, 182, 20);
		panel_Name.add(txtNachname);
		txtNachname.setColumns(10);

		JLabel lblVorname = new JLabel("Vorname");
		lblVorname.setBounds(44, 14, 76, 14);
		panel_Name.add(lblVorname);

		JLabel lblNachname = new JLabel("Nachname");
		lblNachname.setBounds(44, 45, 80, 14);
		panel_Name.add(lblNachname);

		JButton btnEMail = new JButton("Erzeuge EMail");
		btnEMail.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				if (txtDomain.getText().isBlank())
				{
					txtDomain.setBackground(Color.RED);
					JOptionPane.showMessageDialog(null, "Domain leer", "Domain leer", JOptionPane.ERROR_MESSAGE);
				}

				if (txtVorname.getText().isBlank() && txtNachname.getText().isBlank())
				{
					txtVorname.setBackground(Color.RED);
					txtNachname.setBackground(Color.RED);
					JOptionPane.showMessageDialog(null, "Pflichtfelder müssen ausgefüllt werden",
							"Pflichtfelder nicht ausgefüllt", JOptionPane.ERROR_MESSAGE);
				}

				if ((txtVorname.getText().isBlank() || txtNachname.getText().isBlank())
						&& !(txtVorname.getText().isBlank() && txtNachname.getText().isBlank())
						&& !(txtDomain.getText().isBlank()))
				{
					txtVorname.setBackground(Color.WHITE);
					txtNachname.setBackground(Color.WHITE);
					txtDomain.setBackground(Color.WHITE);

					txtEMail.setBackground(Color.GREEN);
					txtEMail.setText(txtVorname.getText().toLowerCase() + txtNachname.getText().toLowerCase() + "@"
							+ txtDomain.getText().toLowerCase());

					JOptionPane.showConfirmDialog(null,
							"EMail erfolgreich erstellt: " + new String(txtPasswort.getPassword()), "Erfolgreich",
							JOptionPane.OK_OPTION);
					txtPasswort.setText("");
				}
				else if (!(txtVorname.getText().isBlank() || txtNachname.getText().isBlank()))
				{
					txtVorname.setBackground(Color.WHITE);
					txtNachname.setBackground(Color.WHITE);
					txtDomain.setBackground(Color.WHITE);

					txtEMail.setBackground(Color.GREEN);
					txtEMail.setText(txtVorname.getText().toLowerCase() + "." + txtNachname.getText().toLowerCase()
							+ "@" + txtDomain.getText().toLowerCase());

					JOptionPane.showConfirmDialog(null,
							"EMail erfolgreich erstellt: " + new String(txtPasswort.getPassword()), "Erfolgreich",
							JOptionPane.OK_OPTION);
					txtPasswort.setText("");
				}
			}
		});
		btnEMail.setBounds(130, 177, 182, 23);
		panel_Name.add(btnEMail);

		txtEMail = new JTextField();
		txtEMail.setEditable(false);
		txtEMail.setBounds(44, 146, 268, 20);
		panel_Name.add(txtEMail);
		txtEMail.setColumns(10);

		JLabel lblDomain = new JLabel("Domain");
		lblDomain.setBounds(44, 76, 46, 14);
		panel_Name.add(lblDomain);

		txtDomain = new JTextField();
		txtDomain.setText("htltraun.at");
		txtDomain.setBounds(130, 73, 182, 20);
		panel_Name.add(txtDomain);
		txtDomain.setColumns(10);

		JLabel lblPasswort = new JLabel("Passwort");
		lblPasswort.setBounds(44, 107, 76, 14);
		panel_Name.add(lblPasswort);

		txtPasswort = new JPasswordField();
		txtPasswort.setBounds(130, 104, 182, 20);
		panel_Name.add(txtPasswort);

		JPanel panel_Ausgabe = new JPanel();
		tabbedPane.addTab("Consolenausgabe", null, panel_Ausgabe, null);
		panel_Ausgabe.setLayout(null);

		textEingabe = new JTextField();
		textEingabe.setBounds(128, 11, 152, 20);
		panel_Ausgabe.add(textEingabe);
		textEingabe.setColumns(10);

		JButton btn_ausgabeButton = new JButton("Ausgabe");
		btn_ausgabeButton.setBounds(158, 42, 89, 23);
		btn_ausgabeButton.addMouseListener(new MouseAdapter()
		{
			@Override
			public void mouseClicked(MouseEvent e)
			{
				System.out.printf("%s \n", textEingabe.getText());
				textEingabe.setText("");

			}
		});
		panel_Ausgabe.add(btn_ausgabeButton);
	}
}
