package ue100_FahrzeugBesser;

/****************************************************************************************************
 * 
 * TODO Motorrad mit Vererbung
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Motorrad extends Fahrzeug
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private double leistung;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Motorrad(String fin, String marke, char treibstoff, double leistung)
	{
		super(fin, marke, treibstoff);

		if (leistung <= 0)
			throw new IllegalArgumentException("leistung darf nicht <= 0 sein!");

		this.leistung = leistung;
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN


	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	public double getLeistung()
	{
		return leistung;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING
	public String toString()
	{
		return "Ich bin das Motorrad!" + super.toString();
	}


	// -------- Ende der Klasse
}
