package ue110_Geraete;

/****************************************************************************************************
 * 
 * TODO Vererbung von Geraet
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Drucker extends Geraet
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private boolean kannFarbeDrucken;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Drucker(String bezeichnung, String hersteller)
	{
		super(bezeichnung, hersteller);
	}

	public Drucker(String bezeichnung, String hersteller, boolean kannFarbeDrucken)
	{
		super(bezeichnung, hersteller);

		setKannFarbeDrucken(kannFarbeDrucken);
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	public void print()
	{
		System.out.printf("Drucker ");
		super.print();
		System.out.printf("Farbe: %b\n", kannFarbeDrucken);
	}

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	public boolean isKannFarbeDrucken()
	{
		return kannFarbeDrucken;
	}

	public void setKannFarbeDrucken(boolean kannFarbeDrucken)
	{
		this.kannFarbeDrucken = kannFarbeDrucken;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING
	@Override
	public String toString()
	{
		return String.format("Drucker: %s kannFarbeDrucken=%b", super.toString(), kannFarbeDrucken);
	}


	// -------- Ende der Klasse
}
