package ue100_FahrzeugBesser;

/****************************************************************************************************
 * 
 * TODO LKW mit Vererbung
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class LKW extends Fahrzeug
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private double maxGewicht;
	private double aktGewicht = 0;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public LKW(String fin, String marke, char treibstoff, double maxGewicht)
	{
		super(fin, marke, treibstoff);

		if (maxGewicht <= 0)
			throw new IllegalArgumentException("maxGewicht darf nicht <= 0 sein!");
		this.maxGewicht = maxGewicht;
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	public boolean beladen(double gewicht)
	{
		aktGewicht = aktGewicht + gewicht;

		if (aktGewicht < 0)
			throw new IllegalArgumentException("Das Gewicht kann nicht <0 sein!");

		if (aktGewicht > maxGewicht)
		{
			System.out.printf("Das maxGewicht wurde überschritten, Fahren verboten! \n");
			return true;
		}
		return false;
	}

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	public double getMaxGewicht()
	{
		return maxGewicht;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING
	public String toString()
	{
		return "Ich bin der LKW!" + super.toString();
	}

	// -------- Ende der Klasse
}
