package ue112_Sonnensystem;

import java.awt.Color;

import sew.G2D;
import sew.SewLib;

/****************************************************************************************************
 * 
 * TODO Main Methode für Sonnensystem
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Main_Sonnensystem
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private static final String IMG_BACKGROUND = "src\\_Images\\sterne.png";
	private static final String IMG_SONNE      = "src\\_Images\\sonne.png";
	private static final String IMG_ERDE       = "src\\_Images\\erde.png";
	private static final String IMG_MOND       = "src\\_Images\\mond.png";
	private static final String IMG_MARS       = "src\\_Images\\mars.png";
	private static final String IMG_MERKUR     = "src\\_Images\\merkur.png";

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public static void main(String[] args)
	{
		G2D.setVisible();
		G2D.drawImage(IMG_BACKGROUND, 0, 0, null);

		Himmelskoerper sonne = new Sonne(IMG_SONNE, 85, 200, 200, 5, 1);
		Himmelskoerper erde  = new Planet(IMG_ERDE, 45, sonne, 170, 0.1);
		if (erde instanceof Planet)
		{
			((Planet) erde).setSpurColor(Color.BLUE);
			((Planet) erde).setShowSpur(true);
		}

		Himmelskoerper mond = new Planet(IMG_MOND, 15, erde, 50, 0.75);
		if (mond instanceof Planet)
		{
			((Planet) mond).setSpurColor(Color.GRAY);
			((Planet) mond).setShowSpur(true);
		}

		Himmelskoerper mars = new Planet(IMG_MARS, 25, sonne, 250, 0.07);
		if (mars instanceof Planet)
		{
			((Planet) mars).setSpurColor(Color.RED);
			((Planet) mars).setShowSpur(true);
		}

		Himmelskoerper merkur = new Planet(IMG_MERKUR, 15, sonne, 75, 0.05);
		if (merkur instanceof Planet)
		{
			((Planet) merkur).setSpurColor(Color.ORANGE);
			((Planet) merkur).setShowSpur(true);
		}

		for (int i = 0; i < 1000; i++)
		{
			sonne.move();
			erde.move();
			mond.move();
			mars.move();
			merkur.move();

			SewLib.wait(5);
		}
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN


	// -------------------------------------------------------------------------------------
	// GETTER / SETTER


	// -------------------------------------------------------------------------------------
	// TOSTRING



	// -------- Ende der Klasse
}
