package ue112_Sonnensystem;

import java.awt.Color;

import sew.G2D;

/****************************************************************************************************
 * 
 * TODO Umlaufbahn
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Umlaufbahn
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private int    radius;
	private Planet planet;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Umlaufbahn(Planet planet, int radius)
	{
		if (radius < 0)
			throw new IllegalArgumentException("size muss größer als 0 sein!");
		this.radius = radius;
		this.planet = planet;
	}



	public void paint()
	{
		G2D.drawOval(planet.getDrehtSichUm().getX() - radius, planet.getDrehtSichUm().getY() - radius, radius * 2,
				radius * 2, Color.BLACK, this);
	}
	// -------- Ende der Klasse
}
