package ue152_Haustiere;

/****************************************************************************************************
 * 
 * TODO (lösche TODO und füge hier deinen Kommentar ein!)
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Hund extends Haustier
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private String chipID;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Hund(String name, String rasse, String chipID, int alter)
	{
		super(name, rasse, alter);

		if (chipID == null)
			throw new NullPointerException("ChipID darf nicht null sein!");
		if (chipID.equals(""))
			throw new IllegalArgumentException("ChipID darf nicht leer sein!");

		this.chipID = chipID;
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	@Override
	public void frissEtwas()
	{
		System.out.printf("Hund %s:\t Ich fresse Hundefutter!\n", getName());
	}

	@Override
	public void bewegeDich()
	{
		System.out.printf("Hund %s:\t Ich laufe!\n", getName());
	}

	@Override
	public void gibLaut()
	{
		System.out.printf("Hund %s:\t WuffWuff!\n", getName());
	}

	public void geheGassi()
	{
		System.out.printf("Hund %s:\t Ich mag Gassi gehen!\n", getName());
	}

	public void hechle()
	{
		System.out.printf("Hund %s:\t Hechel Hechel!\n", getName());
	}

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	/**
	 * @return the chipID
	 */
	public String getChipID()
	{
		return chipID;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING
	@Override
	public String toString()
	{
		return String.format("Hund [chipID=%s, toString()=%s]", chipID, super.toString());
	}

	// -------- Ende der Klasse
}
