package ue152_Haustiere;

/****************************************************************************************************
 * 
 * TODO (lösche TODO und füge hier deinen Kommentar ein!)
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Kuh extends Haustier
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private String farbe;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Kuh(String name, String rasse, String farbe, int alter)
	{
		super(name, rasse, alter);

		if (farbe == null)
			throw new NullPointerException("Farbe darf nicht null sein!");
		if (farbe.equals(""))
			throw new IllegalArgumentException("Farbe darf nicht leer sein!");

		this.farbe = farbe;
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	@Override
	public void frissEtwas()
	{
		System.out.printf("Kuh %s:\t Ich fresse Heu!\n", getName());
	}

	@Override
	public void bewegeDich()
	{
		System.out.printf("Kuh %s:\t Ich gehe!\n", getName());
	}

	@Override
	public void gibLaut()
	{
		System.out.printf("Kuh %s:\t Muuuhhh\n", getName());
	}

	public void wiederKauen()
	{
		System.out.printf("wiederkauen():\t Ich kaue das Fressen wieder\n", getName());
	}

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	/**
	 * @return the farbe
	 */
	public String getFarbe()
	{
		return farbe;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING
	public String toString()
	{
		return String.format("Kuh [farbe=%s, toString()=%s]", farbe, super.toString());
	}

	// -------- Ende der Klasse
}
