package ue241_HerrDerRinge;

import java.util.ArrayList;

import sew.SewLib;

/****************************************************************************************************
 * 
 * TODO (lösche TODO und füge hier deinen Kommentar ein!)
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class FilmFiguren implements _IFilmFiguren
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	ArrayList<Wesen> listeDerWesen;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public FilmFiguren()
	{
		listeDerWesen = new ArrayList<Wesen>();


	}

	@Override
	public void neueSpielfigur(Wesen aWesen)
	{
		listeDerWesen.add(aWesen);
	}

	@Override
	public boolean istInDerListe(Wesen aWesen)
	{
		return listeDerWesen.contains(aWesen);
	}

	@Override
	public void entferne(Wesen aWesen)
	{
		listeDerWesen.remove(aWesen);
	}

	@Override
	public void printAlleFiguren()
	{
		for (Wesen wesen : listeDerWesen)
		{
			System.out.printf("Wesen: %s \n", wesen.toString());
		}
	}

	@Override
	public void printHobbitListe()
	{
		for (Wesen wesen : listeDerWesen)
		{
			if (wesen instanceof Hobbit)
				System.out.printf("Wesen: %s \n", wesen.toString());
		}
	}

	@Override
	public void paintAlleFigurenRandom()
	{
		for (Wesen wesen : listeDerWesen)
		{
			wesen.paint(SewLib.random(0, 500), SewLib.random(0, 500));
		}
	}

	@Override
	public void moveAlleFigurenRandom()
	{
		for (Wesen wesen : listeDerWesen)
		{
			wesen.moveTo(SewLib.random(0, 500), SewLib.random(0, 500), 0);
		}
	}

	@Override
	public void alleFigurenLaufen()
	{
		for (Wesen wesen : listeDerWesen)
		{
			wesen.laufen();
		}
	}

	@Override
	public void alleFigurenKaempfen()
	{
		for (Wesen wesen : listeDerWesen)
		{
			wesen.kaempfen();
		}
	}

	@Override
	public void mitHobbitsVersteckenSich()
	{
		for (Wesen wesen : listeDerWesen)
		{
			if (wesen instanceof Hobbit)
				((Hobbit) wesen).verstecken();
		}
	}

	@Override
	public void alleZaubererZaubern()
	{
		for (Wesen wesen : listeDerWesen)
		{
			if (wesen instanceof Zauberer)
				((Zauberer) wesen).zaubern();
		}
	}

	@Override
	public void alleOrksStreiten()
	{
		for (Wesen wesen : listeDerWesen)
		{
			if (wesen instanceof Ork)
				((Ork) wesen).streiten();
		}
	}

	@Override
	public int getAnzOrks()
	{
		int anz = 0;
		for (Wesen wesen : listeDerWesen)
		{
			if (wesen instanceof Ork)
				anz++;
		}
		return anz;
	}

	@Override
	public int getAnzZwergeUndHobbits()
	{
		int anz = 0;
		for (Wesen wesen : listeDerWesen)
		{
			if (wesen instanceof Zwerg || wesen instanceof Hobbit)
				anz++;
		}
		return anz;
	}

	@Override
	public int getAnzFigurenOhneOrks()
	{
		return listeDerWesen.size() - getAnzOrks();
	}

	@Override
	public ArrayList<Zauberer> getZauberer()
	{
		ArrayList<Zauberer> listeZauberer = new ArrayList<>();

		for (Wesen wesen : listeDerWesen)
		{
			if (wesen instanceof Zauberer)
				listeZauberer.add((Zauberer) wesen);
		}

		return listeZauberer;
	}

	@Override
	public ArrayList<Hobbit> getHobbits()
	{
		ArrayList<Hobbit> listeHobbit = new ArrayList<>();

		for (Wesen wesen : listeDerWesen)
		{
			if (wesen instanceof Hobbit)
				listeHobbit.add((Hobbit) wesen);
		}

		return listeHobbit;
	}

	@Override
	public ArrayList<Ork> getOrks()
	{
		ArrayList<Ork> listeOrk = new ArrayList<>();

		for (Wesen wesen : listeDerWesen)
		{
			if (wesen instanceof Ork)
				listeOrk.add((Ork) wesen);
		}

		return listeOrk;
	}

	@Override
	public Wesen getWesen(String aName)
	{
		for (Wesen wesen : listeDerWesen)
		{
			if (wesen.getName() == aName)
				return wesen;
		}

		return null;
	}

	@Override
	public ArrayList<Wesen> getGutWesenMitMindestStaerke(int aStaerke)
	{
		ArrayList<Wesen> listeStark = new ArrayList<>();

		for (Wesen wesen : listeStark)
		{
			if (!(wesen instanceof Ork))
				if (wesen.getStaerke() >= aStaerke)
					listeStark.add(wesen);
		}
		return listeStark;
	}

	@Override
	public ArrayList<Wesen> getWesenDieFreundeSind()
	{
		// TODO Füge hier das Programm der Methode ein
		return null;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING



	// -------- Ende der Klasse
}
