package ue392_Hardware;

/****************************************************************************************************
 * 
 * TODO iwwas mit Festplatten
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Festplatte extends Hardware
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private int    kapazitaet;
	private String schnittstelle;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Festplatte(String bezeichnung, String hersteller, int kapazitaet, String schnittstelle)
	{
		super(bezeichnung, hersteller);

		if (kapazitaet < 80 || kapazitaet > 12000)
			throw new IllegalArgumentException("Ungültige Kapazität!");
		if (schnittstelle.isBlank())
			throw new IllegalArgumentException("Schnittstelle darf nicht leer sein!");
		if (!(schnittstelle.equals("SATA") || schnittstelle.equals("SATA2") || schnittstelle.equals("SATA3")
				|| schnittstelle.equals("IDE")))
			throw new IllegalArgumentException("schnittstelle muss 'SATA' 'SATA2' 'SATA3' oder 'IDE' sein!");

		this.kapazitaet    = kapazitaet;
		this.schnittstelle = schnittstelle;
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN


	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	public int getKapazitaet()
	{
		return kapazitaet;
	}

	public String getSchnittstelle()
	{
		return schnittstelle;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING



	// -------- Ende der Klasse
}
