package ue502_Taschenrechner;

import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;

import javax.swing.JButton;
import javax.swing.JTextField;
import java.awt.Color;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.Font;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;
import java.util.ArrayList;

/****************************************************************************************************
 * 
 * TODO Taschenrechner
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Taschenrechner extends JFrame
{
	private JPanel            contentPane;
	private JTextField        txtAusgabe;
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private String            current = "";
	private ArrayList<String> all     = new ArrayList<String>();

	/**
	 * Launch the application.
	 */
	public static void main(String[] args)
	{
		EventQueue.invokeLater(new Runnable()
		{
			public void run()
			{
				try
				{
					Taschenrechner frame = new Taschenrechner();
					frame.setVisible(true);
				} catch (Exception e)
				{
					e.printStackTrace();
				}
			}
		});
	}

	private void update()
	{
		String output = "";

		for (int i = 0; i < all.size(); i++)
		{
			output += all.get(i) + " ";
		}

		output += current;

		txtAusgabe.setText(output);
	}

	private void calculate()
	{
		int result = 0;

		for (int i = 0; i < all.size() - 1; i++)
		{
			if (all.get(i) == "+")
			{

			}
			else if (all.get(i) == "-")
			{

			}
			else if (all.get(i) == "*")
			{

			}
			else if (all.get(i) == "/")
			{

			}
			else if (all.get(i) == "^")
			{

			}
			else if (all.get(i) == "^2")
			{

			}
			else if (all.get(i) == "root")
			{

			}
			else if (all.get(i) == "||")
			{

			}
		}
	}

	private boolean isDouble(String x)
	{
		try
		{
			Double.parseDouble(x);
		} catch (NullPointerException | NumberFormatException e)
		{
			return false;
		}
		return true;
	}

	/**
	 * Create the frame.
	 */
	public Taschenrechner()
	{
		setTitle("Taschenrechner");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 388, 549);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(null);

		JPanel panel = new JPanel();
		panel.addKeyListener(new KeyAdapter()
		{
			@Override
			public void keyTyped(KeyEvent e)
			{



				update();
			}
		});
		panel.setBounds(0, 0, 372, 510);
		contentPane.add(panel);
		panel.setLayout(null);

		JButton btn_power = new JButton("x^");
		btn_power.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				all.add(current);
				all.add("^");
				update();
			}
		});
		btn_power.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_power.setForeground(Color.WHITE);
		btn_power.setBackground(Color.BLUE);
		btn_power.setBounds(10, 84, 80, 60);
		panel.add(btn_power);

		JButton btn_abs = new JButton("|x|");
		btn_abs.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				all.add(current);
				all.add("|");
				update();
			}
		});
		btn_abs.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_abs.setForeground(Color.WHITE);
		btn_abs.setBackground(Color.BLUE);
		btn_abs.setBounds(100, 84, 80, 60);
		panel.add(btn_abs);

		JButton btn_del = new JButton("Del");
		btn_del.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				all.remove(all.size());
				update();
			}
		});
		btn_del.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_del.setForeground(Color.WHITE);
		btn_del.setBackground(Color.DARK_GRAY);
		btn_del.setBounds(190, 84, 80, 60);
		panel.add(btn_del);

		JButton btn_c = new JButton("C");
		btn_c.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				current = "";
				all     = new ArrayList<String>();
				update();
			}
		});
		btn_c.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_c.setForeground(Color.WHITE);
		btn_c.setBackground(Color.DARK_GRAY);
		btn_c.setBounds(280, 84, 80, 60);
		panel.add(btn_c);

		JButton btn_power2 = new JButton("x^2");
		btn_power2.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				all.add(current);
				all.add("^2");
				update();
			}
		});
		btn_power2.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_power2.setForeground(Color.WHITE);
		btn_power2.setBackground(Color.BLUE);
		btn_power2.setBounds(10, 155, 80, 60);
		panel.add(btn_power2);

		JButton btn_root = new JButton("√x");
		btn_root.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				all.add(current);
				all.add("root");
				update();
			}
		});
		btn_root.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_root.setForeground(Color.WHITE);
		btn_root.setBackground(Color.BLUE);
		btn_root.setBounds(100, 155, 80, 60);
		panel.add(btn_root);

		JButton btn_tmp = new JButton("New button");
		btn_tmp.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{

				update();
			}
		});
		btn_tmp.setForeground(Color.WHITE);
		btn_tmp.setBackground(Color.BLUE);
		btn_tmp.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_tmp.setBounds(190, 155, 80, 60);
		panel.add(btn_tmp);

		JButton btn_divi = new JButton("÷");
		btn_divi.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				all.add(current);
				all.add("/");
				update();
			}
		});
		btn_divi.setBackground(new Color(255, 140, 0));
		btn_divi.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_divi.setBounds(280, 155, 80, 60);
		panel.add(btn_divi);

		JButton btn_7 = new JButton("7");
		btn_7.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				current += "7";
				update();
			}
		});
		btn_7.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_7.setBackground(Color.LIGHT_GRAY);
		btn_7.setBounds(10, 226, 80, 60);
		panel.add(btn_7);

		JButton btn_8 = new JButton("8");
		btn_8.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				current += "8";
				update();
			}
		});
		btn_8.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_8.setBackground(Color.LIGHT_GRAY);
		btn_8.setBounds(100, 226, 80, 60);
		panel.add(btn_8);

		JButton btn_9 = new JButton("9");
		btn_9.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				current += "9";
				update();
			}
		});
		btn_9.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_9.setBackground(Color.LIGHT_GRAY);
		btn_9.setBounds(190, 226, 80, 60);
		panel.add(btn_9);

		JButton btn_multi = new JButton("*");
		btn_multi.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				all.add(current);
				all.add("*");
				update();
			}
		});
		btn_multi.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_multi.setBackground(new Color(255, 140, 0));
		btn_multi.setBounds(280, 226, 80, 60);
		panel.add(btn_multi);

		JButton btn_4 = new JButton("4");
		btn_4.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				current += "4";
				update();
			}
		});
		btn_4.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_4.setBackground(Color.LIGHT_GRAY);
		btn_4.setBounds(10, 297, 80, 60);
		panel.add(btn_4);

		JButton btn_5 = new JButton("5");
		btn_5.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				current += "5";
				update();
			}
		});
		btn_5.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_5.setBackground(Color.LIGHT_GRAY);
		btn_5.setBounds(100, 297, 80, 60);
		panel.add(btn_5);

		JButton btn_6 = new JButton("6");
		btn_6.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				current += "6";
				update();
			}
		});
		btn_6.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_6.setBackground(Color.LIGHT_GRAY);
		btn_6.setBounds(190, 297, 80, 60);
		panel.add(btn_6);

		JButton btn_minus = new JButton("-");
		btn_minus.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				all.add(current);
				all.add("-");
				update();
			}
		});
		btn_minus.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_minus.setBackground(new Color(255, 140, 0));
		btn_minus.setBounds(280, 297, 80, 60);
		panel.add(btn_minus);

		JButton btn_1 = new JButton("1");
		btn_1.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				current += "1";
				update();
			}
		});
		btn_1.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_1.setBackground(Color.LIGHT_GRAY);
		btn_1.setBounds(10, 368, 80, 60);
		panel.add(btn_1);

		JButton btn_plsmin = new JButton("+/-");
		btn_plsmin.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				if (current.charAt('-') == -1)
					current = "-" + current;
				else
					current.replaceAll("-", "");

				update();
			}
		});
		btn_plsmin.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_plsmin.setBackground(new Color(255, 140, 0));
		btn_plsmin.setBounds(10, 439, 80, 60);
		panel.add(btn_plsmin);

		JButton btn_2 = new JButton("2");
		btn_2.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				current += "2";
				update();
			}
		});
		btn_2.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_2.setBackground(Color.LIGHT_GRAY);
		btn_2.setBounds(100, 368, 80, 60);
		panel.add(btn_2);

		JButton btn_0 = new JButton("0");
		btn_0.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				current += "0";
				update();
			}
		});
		btn_0.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_0.setBackground(Color.LIGHT_GRAY);
		btn_0.setBounds(100, 439, 80, 60);
		panel.add(btn_0);

		JButton btn_3 = new JButton("3");
		btn_3.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				current += "3";
				update();
			}
		});
		btn_3.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_3.setBackground(Color.LIGHT_GRAY);
		btn_3.setBounds(190, 368, 80, 60);
		panel.add(btn_3);

		JButton btn_plus = new JButton("+");
		btn_plus.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				all.add(current);
				all.add("+");
				update();
			}
		});
		btn_plus.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_plus.setBackground(new Color(255, 140, 0));
		btn_plus.setBounds(280, 368, 80, 60);
		panel.add(btn_plus);

		JButton btn_comma = new JButton(".");
		btn_comma.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				if (current.isEmpty())
					current += "0.";
				else
					current += ".";
				update();
			}
		});
		btn_comma.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_comma.setBackground(new Color(255, 140, 0));
		btn_comma.setBounds(190, 439, 80, 60);
		panel.add(btn_comma);

		JButton btn_calc = new JButton("=");
		btn_calc.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				all.add(current);
				calculate();
			}
		});
		btn_calc.setFont(new Font("Arial", Font.PLAIN, 26));
		btn_calc.setBackground(new Color(0, 128, 0));
		btn_calc.setBounds(280, 439, 80, 60);
		panel.add(btn_calc);

		txtAusgabe = new JTextField();
		txtAusgabe.setBackground(Color.WHITE);
		txtAusgabe.setFont(new Font("Arial", Font.PLAIN, 26));
		txtAusgabe.setEditable(false);
		txtAusgabe.setBounds(10, 11, 350, 62);
		panel.add(txtAusgabe);
		txtAusgabe.setColumns(10);
	}
}
