package ue502_TaschenrechnerBinHex;

import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JTextField;
import javax.swing.JButton;
import javax.swing.JRadioButton;
import javax.swing.JComboBox;
import javax.swing.DefaultComboBoxModel;
import javax.swing.ButtonGroup;
import java.awt.event.InputMethodListener;
import java.awt.event.InputMethodEvent;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

/**
 * TODO Beschreibe hier genau was dein Programm/Klasse macht. Füge auch deinen
 * Namen und das Datum ein.
 *
 * @author NAME
 * @date 24.04.2022 / armin
 *
 */
public class Armin2 extends JFrame
{
	private JPanel              contentPane;
	private JTextField          wert1;
	private JTextField          wert2;
	private JTextField          ergebnis;
	private JTextField          ergebnis2;
	private final ButtonGroup   buttonGroup = new ButtonGroup();
	private JButton             btnNewButton;

	// REGEX
	private static final String REGEX_BIN   = "^[0-1]+$";
	private static final String REGEX_HEX   = "^[0-9a-fA-F]+$";

	// main
	/**
	 * Launch the application.
	 */
	public static void main(String[] args)
	{
		EventQueue.invokeLater(new Runnable()
		{
			public void run()
			{
				try
				{
					Armin2 frame = new Armin2();
					frame.setVisible(true);
				} catch (Exception e)
				{
					e.printStackTrace();
				}
			}
		});
	}

	// Design...
	/**
	 * Create the frame.
	 */
	public Armin2()
	{
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 450, 121);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(null);

		wert1 = new JTextField();
		wert1.setBounds(26, 24, 86, 20);
		contentPane.add(wert1);
		wert1.setColumns(10);

		wert2 = new JTextField();
		wert2.setBounds(176, 24, 86, 20);
		contentPane.add(wert2);
		wert2.setColumns(10);

		ergebnis = new JTextField();
		ergebnis.setEditable(false);
		ergebnis.setBounds(327, 24, 86, 20);
		contentPane.add(ergebnis);
		ergebnis.setColumns(10);

		JRadioButton rdbtnBin = new JRadioButton("Bin");
		buttonGroup.add(rdbtnBin);
		rdbtnBin.setBounds(116, 58, 109, 23);
		contentPane.add(rdbtnBin);

		JRadioButton rdbtnHex = new JRadioButton("Hex");
		buttonGroup.add(rdbtnHex);
		rdbtnHex.setBounds(26, 58, 109, 23);
		contentPane.add(rdbtnHex);

		JComboBox<String> comboBox = new JComboBox<>();
		comboBox.setModel(new DefaultComboBoxModel<String>(new String[]
			{ "+", "-", "*", "/" }));
		comboBox.setBounds(116, 23, 50, 22);
		contentPane.add(comboBox);

		ergebnis2 = new JTextField();
		ergebnis2.setEditable(false);
		ergebnis2.setColumns(10);
		ergebnis2.setBounds(327, 55, 86, 20);
		contentPane.add(ergebnis2);

		btnNewButton = new JButton("=");

		// Sachen die was machen
		btnNewButton.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				int eingabe1 = 0; // Variablen erstellen
				int eingabe2 = 0; // --||--

				if ((rdbtnBin.isSelected() && wert1.getText().matches(REGEX_BIN) // wenn Bin dann gucken REGEX_BIN wert
																					// passt wenn nicht für hey checken,
																					// wenn beides nix gut dann 0
						&& wert2.getText().matches(REGEX_BIN)))
				{
					eingabe1 = Integer.parseInt(wert1.getText(), 2);
					eingabe2 = Integer.parseInt(wert2.getText(), 2);
				}
				else if ((rdbtnHex.isSelected() && wert1.getText().matches(REGEX_HEX)
						&& wert2.getText().matches(REGEX_HEX)))
				{
					eingabe1 = Integer.parseInt(wert1.getText(), 16);
					eingabe2 = Integer.parseInt(wert2.getText(), 16);
				}
				switch (comboBox.getSelectedIndex())
					{
					case 0:
						eingabe1 = eingabe1 + eingabe2;
						break;

					case 1:
						eingabe1 = eingabe1 - eingabe2;
						break;

					case 2:
						eingabe1 = eingabe1 * eingabe2;
						break;

					case 3:
						if (eingabe2 != 0)
							eingabe1 = eingabe1 / eingabe2;
						break;

					}
				ergebnis.setText(Integer.toBinaryString(eingabe1));
				ergebnis2.setText(Integer.toHexString(eingabe1));
			}
		});

		// ----

		btnNewButton.setBounds(267, 23, 50, 23);
		contentPane.add(btnNewButton);

		wert1.addInputMethodListener(new InputMethodListener()
		{
			public void caretPositionChanged(InputMethodEvent event)
			{
				// ---
			}

			public void inputMethodTextChanged(InputMethodEvent event)
			{
				if (rdbtnBin.isSelected())
				{
					String tmp = wert1.getText();
					if (!tmp.matches(REGEX_BIN))
					{
						wert1.setText("");
					}
				}
				else
				{
					String tmp = wert1.getText();
					if (!tmp.matches(REGEX_HEX))
					{
						wert1.setText("");
					}
				}
			}
		});

		wert2.addInputMethodListener(new InputMethodListener()
		{
			public void caretPositionChanged(InputMethodEvent event)
			{
				// ---
			}

			public void inputMethodTextChanged(InputMethodEvent event)
			{
				if (rdbtnBin.isSelected())
				{
					String tmp = wert2.getText();
					if (!tmp.matches(REGEX_BIN))
					{
						wert2.setText("");
					}
				}
				else
				{
					String tmp = wert2.getText();
					if (!tmp.matches(REGEX_HEX))
					{
						wert2.setText("");
					}
				}
			}
		});

	}

}