package ue502_TaschenrechnerNeu;

import java.awt.BorderLayout;
import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;

import javax.swing.JTextField;
import javax.swing.JButton;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.Font;

/****************************************************************************************************
 * 
 * TODO 1+1 != 2; a^2+b^2 = m*c^2; 2! > 29
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class TaschenrechnerNeu extends JFrame
{
	private double     zahlVorher;
	private JPanel     contentPane;
	private JTextField txtEingabe;
	private JTextField txtZwischen;
	private JTextField txtOpe;
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen

	/**
	 * Launch the application.
	 */
	public static void main(String[] args)
	{
		EventQueue.invokeLater(new Runnable()
		{
			public void run()
			{
				try
				{
					TaschenrechnerNeu frame = new TaschenrechnerNeu();
					frame.setVisible(true);
				} catch (Exception e)
				{
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public TaschenrechnerNeu()
	{
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 412, 257);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		contentPane.setLayout(new BorderLayout(0, 0));
		setContentPane(contentPane);

		JPanel panel = new JPanel();
		contentPane.add(panel, BorderLayout.CENTER);
		panel.setLayout(null);

		JButton btn_equ = new JButton("=");
		btn_equ.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				solve();
			}
		});
		btn_equ.setBounds(297, 185, 89, 23);
		panel.add(btn_equ);

		txtEingabe = new JTextField();
		txtEingabe.setFont(new Font("Tahoma", Font.PLAIN, 16));
		txtEingabe.setEditable(false);
		txtEingabe.setBounds(226, 0, 160, 38);
		panel.add(txtEingabe);
		txtEingabe.setColumns(10);

		JButton btn_squirt = new JButton("√");
		btn_squirt.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				inputOperator("√");
			}
		});
		btn_squirt.setBounds(0, 49, 89, 23);
		panel.add(btn_squirt);

		JButton btnDel = new JButton("Del");
		btnDel.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				txtEingabe.setText("");
			}
		});
		btnDel.setBounds(99, 49, 89, 23);
		panel.add(btnDel);

		JButton btnC = new JButton("C");
		btnC.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				txtZwischen.setText("");
				zahlVorher = 0;
				txtEingabe.setText("");
				txtOpe.setText("");
			}
		});
		btnC.setBounds(198, 49, 89, 23);
		panel.add(btnC);

		JButton btn_7 = new JButton("7");
		btn_7.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				inputKey('7');
			}
		});
		btn_7.setBounds(0, 83, 89, 23);
		panel.add(btn_7);

		JButton btn_8 = new JButton("8");
		btn_8.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				inputKey('8');
			}
		});
		btn_8.setBounds(99, 83, 89, 23);
		panel.add(btn_8);

		JButton btn_9 = new JButton("9");
		btn_9.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				inputKey('9');
			}
		});
		btn_9.setBounds(198, 83, 89, 23);
		panel.add(btn_9);

		JButton btn_divi = new JButton("/");
		btn_divi.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				inputOperator("/");
			}
		});
		btn_divi.setBounds(297, 49, 89, 23);
		panel.add(btn_divi);

		JButton btn_4 = new JButton("4");
		btn_4.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				inputKey('4');
			}
		});
		btn_4.setBounds(0, 117, 89, 23);
		panel.add(btn_4);

		JButton btn_5 = new JButton("5");
		btn_5.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				inputKey('5');
			}
		});
		btn_5.setBounds(99, 117, 89, 23);
		panel.add(btn_5);

		JButton btn_6 = new JButton("6");
		btn_6.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				inputKey('6');
			}
		});
		btn_6.setBounds(198, 117, 89, 23);
		panel.add(btn_6);

		JButton btn_multi = new JButton("*");
		btn_multi.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				inputOperator("*");
			}
		});
		btn_multi.setBounds(297, 83, 89, 23);
		panel.add(btn_multi);

		JButton btn_1 = new JButton("1");
		btn_1.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				inputKey('1');
			}
		});
		btn_1.setBounds(0, 151, 89, 23);
		panel.add(btn_1);

		JButton btn_2 = new JButton("2");
		btn_2.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				inputKey('2');
			}
		});
		btn_2.setBounds(99, 151, 89, 23);
		panel.add(btn_2);

		JButton btn_3 = new JButton("3");
		btn_3.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				inputKey('3');
			}
		});
		btn_3.setBounds(198, 151, 89, 23);
		panel.add(btn_3);

		JButton btn_minus = new JButton("-");
		btn_minus.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				inputOperator("-");
			}
		});
		btn_minus.setBounds(297, 117, 89, 23);
		panel.add(btn_minus);

		JButton btnNewButton_16 = new JButton("-/+");
		btnNewButton_16.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				inputKey('-');
			}
		});
		btnNewButton_16.setBounds(0, 185, 89, 23);
		panel.add(btnNewButton_16);

		JButton btn_0 = new JButton("0");
		btn_0.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				inputKey('0');
			}
		});
		btn_0.setBounds(99, 185, 89, 23);
		panel.add(btn_0);

		JButton btnNewButton_18 = new JButton(".");
		btnNewButton_18.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				inputKey('.');
			}
		});
		btnNewButton_18.setBounds(198, 185, 89, 23);
		panel.add(btnNewButton_18);

		JButton btn_plus = new JButton("+");
		btn_plus.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				inputOperator("+");
			}
		});
		btn_plus.setBounds(297, 151, 89, 23);
		panel.add(btn_plus);

		txtZwischen = new JTextField();
		txtZwischen.setFont(new Font("Tahoma", Font.PLAIN, 16));
		txtZwischen.setEditable(false);
		txtZwischen.setColumns(10);
		txtZwischen.setBounds(0, 0, 160, 38);
		panel.add(txtZwischen);

		txtOpe = new JTextField();
		txtOpe.setFont(new Font("Tahoma", Font.PLAIN, 16));
		txtOpe.setEditable(false);
		txtOpe.setBounds(170, 0, 46, 38);
		panel.add(txtOpe);
		txtOpe.setColumns(10);
	}

	void inputKey(char aKey)
	{
		String tmp = txtEingabe.getText();
		if (aKey == '-')
			tmp = aKey + tmp;
		else
			tmp = tmp + aKey;
		try
		{
			if (tmp.equals("0"))
				tmp = "";
			double zahl = Double.parseDouble(tmp);
			txtEingabe.setText(tmp);
		} catch (Exception e2)
		{
			java.awt.Toolkit.getDefaultToolkit().beep();
		}
	}

	void inputOperator(String aOperator)
	{
		switch (aOperator)
			{
			case "+", "-", "/", "*", "√":
				zahlVorher = Double.parseDouble(txtEingabe.getText());
				txtZwischen.setText(txtEingabe.getText());
				txtEingabe.setText("");
				txtOpe.setText(aOperator);
				break;
			default:
				java.awt.Toolkit.getDefaultToolkit().beep();
			}
	}

	void solve()
	{
		double zahl1 = Double.parseDouble(txtZwischen.getText());
		double zahl2 = Double.parseDouble(txtEingabe.getText());

		switch (txtOpe.getText())
			{
			case "+":
				zahl1 = zahl1 + zahl2;
				break;
			case "-":
				zahl1 = zahl1 - zahl2;
				break;
			case "/":
				if (zahl2 != 0)
					zahl1 = zahl1 / zahl2;
				break;
			case "*":
				zahl1 = zahl1 * zahl2;
				break;
			case "√":
				if (zahl1 == 2)
					zahl1 = Math.sqrt(zahl2);
				else if (zahl1 == 3)
					zahl1 = Math.cbrt(zahl2);
				break;
			default:
				if (zahl2 != 0)
					zahl1 = zahl2;
			}
		txtZwischen.setText(Double.toString(zahl1));
		txtOpe.setText("");
		txtEingabe.setText("");
	}
}
