package ue640_Fraktal;

/****************************************************************************************************
 * 
 * Einfache komplexe Zahl
 *
 * @author Prof. Gaisberger
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Complex
{
	// -------------------------------------------------------------------------------------
	// INSTANZVARIABLEN
	double re; // Speichert den Realteil
	double im; // Speichert den Imaginärteil


	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR
	public Complex(double r, double i)
	{ 
		re = r;
		im = i;
	}

	public Complex plus(Complex k)
	{
		return new Complex(re + k.re, im + k.im);
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	public Complex mal(Complex k)
	{
		return new Complex(re * k.re - im * k.im, re * k.im + im * k.re);
	}

	public double distanzUrsprung()
	{ // Berechnet den Abstand der Zahl vom Ursprung
		return Math.sqrt(re * re + im * im);
	}

	// -------- Ende der Klasse 
}
