package ue661_PasswortChecker;

import java.awt.BorderLayout;
import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import java.awt.GridLayout;
import javax.swing.JLabel;
import javax.swing.JOptionPane;

import java.awt.Font;
import javax.swing.SwingConstants;
import java.awt.Color;
import javax.swing.JTextField;
import javax.swing.JPasswordField;
import javax.swing.JButton;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

/****************************************************************************************************
 * 
 * TODO (lösche TODO und füge hier deinen Kommentar ein!)
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class PasswordChecker extends JFrame
{
	private static final String REGEX_PWD = "((?=.*\\d)(?=.*\\d)(?=.*\\d)(?=.*[a-z])(?=.*[A-Z])(?=.*[A-Z])(?=.*[!#%$&=])(?=.*[!#%$&=]).{9,18})";
	private JPanel              contentPane;
	private JPasswordField      txtPwd;
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen

	/**
	 * Launch the application.
	 */
	public static void main(String[] args)
	{
		EventQueue.invokeLater(new Runnable()
		{
			public void run()
			{
				try
				{
					PasswordChecker frame = new PasswordChecker();
					frame.setVisible(true);
				} catch (Exception e)
				{
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public PasswordChecker()
	{
		setTitle("Passwort Überprüfung");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 450, 300);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(new BorderLayout(0, 0));

		JPanel panel = new JPanel();
		panel.setBackground(new Color(128, 0, 0));
		contentPane.add(panel, BorderLayout.CENTER);
		panel.setLayout(null);

		JLabel lblTitle = new JLabel("Wie sicher ist ihr Passwort?");
		lblTitle.setForeground(new Color(255, 255, 255));
		lblTitle.setHorizontalAlignment(SwingConstants.CENTER);
		lblTitle.setFont(new Font("Tahoma", Font.BOLD, 20));
		lblTitle.setBounds(10, 11, 404, 26);
		panel.add(lblTitle);

		JLabel lblPwd = new JLabel("Passwort");
		lblPwd.setForeground(Color.WHITE);
		lblPwd.setFont(new Font("Tahoma", Font.PLAIN, 14));
		lblPwd.setBounds(32, 80, 74, 14);
		panel.add(lblPwd);

		txtPwd = new JPasswordField();
		txtPwd.setBounds(116, 79, 276, 20);
		panel.add(txtPwd);

		JLabel lblErgebniss = new JLabel("");
		lblErgebniss.setHorizontalAlignment(SwingConstants.CENTER);
		lblErgebniss.setFont(new Font("Tahoma", Font.PLAIN, 18));
		lblErgebniss.setForeground(new Color(255, 255, 0));
		lblErgebniss.setBounds(10, 160, 404, 38);
		panel.add(lblErgebniss);

		JButton btnPruefen = new JButton("Passwort prüfen");
		btnPruefen.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				String pwd = new String(txtPwd.getPassword());

				if (pwd.isBlank())
					JOptionPane.showMessageDialog(null, "Gib ein Passwort ein", "Kein Passwort",
							JOptionPane.ERROR_MESSAGE);
				else
				{
					if (pwd.matches(REGEX_PWD))
					{
						lblErgebniss.setText("Ihr Passwort ist sicher!");
						lblErgebniss.setForeground(Color.GREEN);
					}
					else
					{
						lblErgebniss.setText("Ihr Passwort ist nicht sicher!");
						lblErgebniss.setForeground(Color.YELLOW);
					}
				}
			}
		});
		btnPruefen.setFont(new Font("Tahoma", Font.PLAIN, 14));
		btnPruefen.setBounds(32, 110, 360, 23);
		panel.add(btnPruefen);
	}


	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main


	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN


	// -------------------------------------------------------------------------------------
	// GETTER / SETTER


	// -------------------------------------------------------------------------------------
	// TOSTRING



	// -------- Ende der Klasse
}
