package ue661_PasswortChecker;

import java.awt.BorderLayout;
import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JLabel;
import javax.swing.JOptionPane;

import java.awt.Font;
import java.awt.Color;
import javax.swing.JPasswordField;
import javax.swing.JButton;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

/****************************************************************************************************
 * 
 * TODO (lösche TODO und füge hier deinen Kommentar ein!)
 *
 * @author Dedic Armin
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class _Main_Checker extends JFrame
{
    private static final String REGEX_PWD = "((?=.*\\d{3,})(?=.*[a-z])(?=.*[A-Z])(?=.*[@#$%]{2,}).{8,19})";
    

    private JPanel              contentPane;
    private JPasswordField       eingabe;

    // -------------------------------------------------------------------------------------
    // Instanzvariablen/Klassenvariablen

    public static void main(String[] args)
    {
        EventQueue.invokeLater(new Runnable()
        {
            public void run()
            {
                try
                {
                    _Main_Checker frame = new _Main_Checker();
                    frame.setVisible(true);
                } catch (Exception e)
                {
                    e.printStackTrace();
                }
            }
        });
    }

    public _Main_Checker()
    {
        setBackground(Color.WHITE);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setBounds(100, 100, 450, 300);
        contentPane = new JPanel();
        contentPane.setForeground(Color.WHITE);
        contentPane.setBackground(new Color(255, 127, 80));
        contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
        setContentPane(contentPane);
        contentPane.setLayout(new BorderLayout(0, 0));

        JPanel panel = new JPanel();
        panel.setBackground(Color.LIGHT_GRAY);
        contentPane.add(panel, BorderLayout.CENTER);
        panel.setLayout(null);

        JLabel Titel = new JLabel("Wie sicher ist ihr Passwort?");
        Titel.setBounds(30, 32, 384, 26);
        Titel.setBackground(Color.WHITE);
        Titel.setFont(new Font("Tahoma", Font.PLAIN, 25));
        Titel.setForeground(Color.BLACK);
        panel.add(Titel);

        JLabel InfoText = new JLabel("Passwort");
        InfoText.setBounds(30, 101, 74, 14);
        InfoText.setForeground(Color.BLACK);
        panel.add(InfoText);

        eingabe = new JPasswordField();
        eingabe.setBounds(93, 98, 180, 20);
        panel.add(eingabe);

        JButton PruefenKnopf = new JButton("Passwort prüfen");
        PruefenKnopf.setBounds(93, 126, 180, 25);
        PruefenKnopf.setFont(new Font("Tahoma", Font.PLAIN, 12));
        PruefenKnopf.setForeground(Color.BLACK);
        PruefenKnopf.setBackground(Color.WHITE);
        PruefenKnopf.addActionListener(new ActionListener()
        {
            public void actionPerformed(ActionEvent e)
            {
                String pwd = new String(eingabe.getPassword());

                if (pwd.isEmpty())
                    JOptionPane.showMessageDialog(null, "Das Passwordfeld ist leer", "Passwort nicht vorhanden",
                            JOptionPane.ERROR_MESSAGE);
                else
                {
                    if (pwd.matches(REGEX_PWD))
                    {
                        JOptionPane.showMessageDialog(null, "Passwort sicher",
                                "Ihr Passwort ist sicher!", JOptionPane.DEFAULT_OPTION);
                    }
                    else
                    {
                        JOptionPane.showMessageDialog(null, "Passwort unsicher",
                                "Ihr Passwort ist nicht sicher!", JOptionPane.ERROR_MESSAGE);
                    }
                }
            }
        });
        panel.add(PruefenKnopf);
    }
}