package ue710_Snake;

import java.awt.Color;
import java.awt.Graphics;

/****************************************************************************************************
 * 
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class SnakeBody
{
	public static final int BREITE = 20;
	private int             x;
	private int             y;

	public SnakeBody(int x, int y)
	{
		setPosition(x, y);
	}

	public void paint(Graphics aG)
	{
		aG.setColor(Color.green);
		aG.fillRoundRect(x*20, y*20, BREITE, BREITE, 10, 10);
		
		aG.setColor(Color.red);
		aG.drawRoundRect(x*20, y*20, BREITE, BREITE, 10, 10);
	}

	public void setPosition(int x, int y)
	{
		setX(x);
		setY(y);
	}

	public int getX()
	{
		return x;
	}

	public void setX(int aX)
	{
		x = aX;
	}

	public int getY()
	{
		return y;
	}

	public void setY(int aY)
	{
		y = aY;
	}

}
