package ue801_SQLite;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JLabel;
import javax.swing.JTextField;
import java.awt.Font;
import javax.swing.JButton;
import javax.swing.JTextPane;
import java.awt.event.ActionListener;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.awt.event.ActionEvent;

/****************************************************************************************************
 * 
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class DB extends JFrame
{
	private JPanel     contentPane;
	private JTextField txtDatabase;
	private JTextField txtSqlStatement;
	private JTextField txtKDNR;
	private JTextField txtLastname;
	private JTextField txtVorname;
	private JTextField txtEmail;
	private JTextField txtDelete;

	private Connection con;
	private Statement  stmt;
	private ResultSet  rs;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args)
	{
		EventQueue.invokeLater(new Runnable()
		{
			public void run()
			{
				try
				{
					DB frame = new DB();
					frame.setVisible(true);
				} catch (Exception e)
				{
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 * @throws ClassNotFoundException 
	 */
	public DB() throws ClassNotFoundException
	{
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 505, 410);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		contentPane.setLayout(new BorderLayout(0, 0));
		setContentPane(contentPane);

		JPanel panel = new JPanel();
		contentPane.add(panel, BorderLayout.CENTER);
		panel.setLayout(null);

		JLabel lblDatabase = new JLabel("Datenbank");
		lblDatabase.setFont(new Font("Tahoma", Font.BOLD, 12));
		lblDatabase.setBounds(10, 11, 107, 14);
		panel.add(lblDatabase);

		txtDatabase = new JTextField();
		txtDatabase.setBounds(10, 30, 181, 20);
		panel.add(txtDatabase);
		txtDatabase.setColumns(10);

		JButton btnConnect = new JButton("Verbinden");
		btnConnect.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				try
				{
					String url = txtDatabase.getText();

					con = DriverManager.getConnection("jdbc:sqlite:C:\\Users\\walle\\Documents\\trompeten-jump\\Trompeten Jump\\Assets\\highscore\\highscore.sqlite3");
					btnConnect.setBackground(Color.GREEN);
				} catch (SQLException e2)
				{
					e2.printStackTrace();
					System.out.printf("Fehler bei der Datenbankverbindung! \n%s", e2.getMessage());
					btnConnect.setBackground(Color.RED);
				}
			}
		});
		btnConnect.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnConnect.setBounds(201, 29, 100, 23);
		panel.add(btnConnect);

		JButton btnDisconnect = new JButton("Trennen");
		btnDisconnect.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnDisconnect.setBounds(311, 29, 100, 23);
		panel.add(btnDisconnect);

		JLabel lblSqlStatement = new JLabel("SQL");
		lblSqlStatement.setFont(new Font("Tahoma", Font.BOLD, 12));
		lblSqlStatement.setBounds(10, 89, 52, 14);
		panel.add(lblSqlStatement);

		txtSqlStatement = new JTextField();
		txtSqlStatement.setColumns(10);
		txtSqlStatement.setBounds(59, 87, 242, 20);
		panel.add(txtSqlStatement);

		JButton btnRun = new JButton("Ausführen");
		btnRun.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnRun.setBounds(311, 86, 100, 23);
		panel.add(btnRun);

		JLabel lblKDNR = new JLabel("KundenNr");
		lblKDNR.setFont(new Font("Tahoma", Font.BOLD, 12));
		lblKDNR.setBounds(10, 138, 107, 14);
		panel.add(lblKDNR);

		txtKDNR = new JTextField();
		txtKDNR.setColumns(10);
		txtKDNR.setBounds(10, 157, 107, 20);
		panel.add(txtKDNR);

		JLabel lblLastname = new JLabel("Nachname");
		lblLastname.setFont(new Font("Tahoma", Font.BOLD, 12));
		lblLastname.setBounds(127, 138, 107, 14);
		panel.add(lblLastname);

		txtLastname = new JTextField();
		txtLastname.setColumns(10);
		txtLastname.setBounds(127, 157, 107, 20);
		panel.add(txtLastname);

		JLabel lblFirstname = new JLabel("Vorname");
		lblFirstname.setFont(new Font("Tahoma", Font.BOLD, 12));
		lblFirstname.setBounds(244, 138, 107, 14);
		panel.add(lblFirstname);

		txtVorname = new JTextField();
		txtVorname.setColumns(10);
		txtVorname.setBounds(244, 157, 107, 20);
		panel.add(txtVorname);

		JLabel lblEmail = new JLabel("Email");
		lblEmail.setFont(new Font("Tahoma", Font.BOLD, 12));
		lblEmail.setBounds(361, 138, 107, 14);
		panel.add(lblEmail);

		txtEmail = new JTextField();
		txtEmail.setColumns(10);
		txtEmail.setBounds(361, 157, 107, 20);
		panel.add(txtEmail);

		txtDelete = new JTextField();
		txtDelete.setColumns(10);
		txtDelete.setBounds(10, 212, 107, 20);
		panel.add(txtDelete);

		JButton btnDelete = new JButton("Löschen");
		btnDelete.setFont(new Font("Tahoma", Font.BOLD, 11));
		btnDelete.setBounds(127, 211, 100, 23);
		panel.add(btnDelete);

		JLabel lblResult = new JLabel("Ergebnis");
		lblResult.setFont(new Font("Tahoma", Font.BOLD, 12));
		lblResult.setBounds(10, 262, 107, 14);
		panel.add(lblResult);

		JTextPane textPane = new JTextPane();
		textPane.setEditable(false);
		textPane.setBounds(10, 287, 458, 63);
		panel.add(textPane);
	}
}
