package ue110_Geraete;

/****************************************************************************************************
 * 
 * TODO Vererbt an Drucker und Notebook
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Geraet
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private String bezeichnung;
	private String hersteller;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Geraet(String bezeichnung, String hersteller)
	{
		setBezeichnung(bezeichnung);
		setHersteller(hersteller);
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	public void print()
	{
		System.out.printf("Gerät: %s / %s \n", bezeichnung, hersteller);
	}

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	public String getBezeichnung()
	{
		return bezeichnung;
	}

	public void setBezeichnung(String bezeichnung)
	{
		if (bezeichnung == "")
			throw new IllegalArgumentException("bezeichnung darf nicht leer sein");
		if (bezeichnung == null)
			throw new NullPointerException("bezeichnung darf nicht null sein");

		this.bezeichnung = bezeichnung;
	}

	public String getHersteller()
	{
		return hersteller;
	}

	public void setHersteller(String hersteller)
	{
		if (hersteller == "")
			throw new IllegalArgumentException("hersteller darf nicht leer sein");
		if (hersteller == null)
			throw new NullPointerException("hersteller darf nicht null sein");

		this.hersteller = hersteller;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING
	@Override
	public String toString()
	{
		return String.format("Geraet [bezeichnung=%s, hersteller=%s]", bezeichnung, hersteller);
	}


	// -------- Ende der Klasse
}
