package ue110_Geraete;

/****************************************************************************************************
 * 
 * TODO Vererbung von Geraet
 *
 * @author Daniel Hamm
 * @version 1.0
 *
 ****************************************************************************************************
 */

//---------------------------------------------------------------------------------------------------
public class Notebook extends Geraet
{
	// -------------------------------------------------------------------------------------
	// Instanzvariablen/Klassenvariablen
	private String cpu;

	// -------------------------------------------------------------------------------------
	// KONSTRUKTOR oder main
	public Notebook(String bezeichnung, String hersteller, String cpu)
	{
		super(bezeichnung, hersteller);

		setCpu(cpu);
	}

	// -------------------------------------------------------------------------------------
	// INSTANZMETHODEN
	public void print()
	{
		System.out.printf("Notebook ");
		super.print();
		System.out.printf("CPU: %s\n", cpu);
	}

	// -------------------------------------------------------------------------------------
	// GETTER / SETTER
	public String getCpu()
	{
		return cpu;
	}

	public void setCpu(String cpu)
	{
		if (cpu == "")
			throw new IllegalArgumentException("cpu darf nicht leer sein!");
		if (cpu == null)
			throw new NullPointerException("cpu darf nicht null sein!");

		this.cpu = cpu;
	}

	// -------------------------------------------------------------------------------------
	// TOSTRING
	@Override
	public String toString()
	{
		return String.format("Notebook: %s cpu=%s", super.toString(), cpu);
	}


	// -------- Ende der Klasse
}
